Chat and Message (retired)
Get chat
deprecated
Chat history and details for a user.
GET
/
ai
/
{v}
/
chat
Get chat
curl --request GET \
--url https://platform.ai.gloo.com/ai/{v}/chat \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.ai.gloo.com/ai/{v}/chat"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ai.gloo.com/ai/{v}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.ai.gloo.com/ai/{v}/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.ai.gloo.com/ai/{v}/chat"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.ai.gloo.com/ai/{v}/chat")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.ai.gloo.com/ai/{v}/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_id": "u8721bb6d-b1c3-4130-b413-e7a56b3403d9",
"chat_id": "c518c540a-28f1-4055-a8ed-44a5929c63f8",
"created_at": "2025-07-14T19:04:56.974882",
"updated_at": "2025-07-14T19:05:03.205307",
"messages": [
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfdca4b99-c672-4f76-8b48-dcf550be9500",
"timestamp": "2025-07-14T19:04:58.449394",
"role": "user",
"character_limit": 0,
"stream": false,
"intent": 0,
"message": "What is your name?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0",
"publishers": []
},
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfc7bc417-c089-4806-8b61-51ba24b09898",
"timestamp": "2025-07-14T19:04:59.679262",
"role": "kallm",
"intent": 0,
"sources_limit": 0,
"sources": [],
"success": true,
"suggestions": [
"How can I use AI?",
"What can KALLM help me with?",
"Can I ask you for advice?"
],
"message": "My name is Gloo AI Chat. How can I assist you today?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0"
}
],
"pin": false,
"summary": null,
"title": "User Asks About AI's Name"
}{
"detail": "Failed to find chat"
}Retired: the Chat and Message API was retired on 21 August 2026, and these endpoints no longer exist. Use Direct Responses if your app owns safety, or the guarded Responses API for built-in guardrails and
tradition; if you need model_family, auto-routing or grounded completions, use Completions V2. The Chat migration guide walks through the move.Authorizations
Bearer authentication header of the form Bearer <api-key>, where <api-key> is your API key.
Response
Successful response
The response is of type Response Get · object.
⌘I
Get chat
curl --request GET \
--url https://platform.ai.gloo.com/ai/{v}/chat \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.ai.gloo.com/ai/{v}/chat"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ai.gloo.com/ai/{v}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.ai.gloo.com/ai/{v}/chat",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.ai.gloo.com/ai/{v}/chat"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.ai.gloo.com/ai/{v}/chat")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.ai.gloo.com/ai/{v}/chat")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user_id": "u8721bb6d-b1c3-4130-b413-e7a56b3403d9",
"chat_id": "c518c540a-28f1-4055-a8ed-44a5929c63f8",
"created_at": "2025-07-14T19:04:56.974882",
"updated_at": "2025-07-14T19:05:03.205307",
"messages": [
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfdca4b99-c672-4f76-8b48-dcf550be9500",
"timestamp": "2025-07-14T19:04:58.449394",
"role": "user",
"character_limit": 0,
"stream": false,
"intent": 0,
"message": "What is your name?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0",
"publishers": []
},
{
"query_id": "q912f58e9-135b-4f95-8853-d98f7b5294f6",
"message_id": "mfc7bc417-c089-4806-8b61-51ba24b09898",
"timestamp": "2025-07-14T19:04:59.679262",
"role": "kallm",
"intent": 0,
"sources_limit": 0,
"sources": [],
"success": true,
"suggestions": [
"How can I use AI?",
"What can KALLM help me with?",
"Can I ask you for advice?"
],
"message": "My name is Gloo AI Chat. How can I assist you today?",
"model": "us.anthropic.claude-3-7-sonnet-20250219-v1:0"
}
],
"pin": false,
"summary": null,
"title": "User Asks About AI's Name"
}{
"detail": "Failed to find chat"
}
